<?php

use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Uri\Uri;


\defined('_JEXEC') or die;

class PlgQuickiconJoomshopping extends CMSPlugin {
	
	protected $autoloadLanguage = true;
    protected $app;
    protected $db;

    public function onGetIcons($context)
    {
		if ($context !== 'site_quickicon' || !$this->app->getIdentity()->authorise('core.admin', 'com_jshopping')) {
            return array();
        }
		
		\JFactory::getLanguage()->load('com_jshopping', JPATH_ROOT.'/administrator/components/com_jshopping');

		return [
            [
                'link'  => 'index.php?option=com_jshopping&controller=categories&catid=0',
                'image' => 'icon-folder-open',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_CATEGORIES'),
                'id'    => 'plg_quickicon_shop_cat',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
			[
                'link'  => 'index.php?option=com_jshopping&controller=products&category_id=0',
                'image' => 'icon-file-alt',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_CATEGORY_PRODUCTS'),
                'id'    => 'plg_quickicon_shop_prod',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
			[
                'link'  => 'index.php?option=com_jshopping&controller=users',
                'image' => 'icon-users',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_MENU_CLIENTS'),
                'id'    => 'plg_quickicon_shop_user',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
			[
                'link'  => 'index.php?option=com_jshopping&controller=orders',
                'image' => 'icon-credit',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_MENU_ORDERS'),
                'id'    => 'plg_quickicon_shop_orders',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
			[
                'link'  => 'index.php?option=com_jshopping&controller=other',
                'image' => 'icon-grid',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_MENU_OTHER'),
                'id'    => 'plg_quickicon_shop_other',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
			[
                'link'  => 'index.php?option=com_jshopping&controller=config',
                'image' => 'icon-options',
                'icon'  => '',
                'text'  => Text::_('JOOMSHOPPING')." ".Text::_('JSHOP_MENU_CONFIG'),
                'id'    => 'plg_quickicon_shop_config',
                'group' => 'MOD_QUICKICON_MAINTENANCE',
            ],
			
        ];

    }
  
}
